libssh2_session_callback_set(3)

NAME
libssh2_session_callback_set - set a callback function

SYNOPSIS
#include <libssh2.h> void * libssh2_session_callback_set(LIBSSH2_SESSION *session, int cbtype, void *callback);

DESCRIPTION
session - Session instance as returned by libssh2_session_init_ex(3) cbtype - Callback type. One of the types listed in Callback Types. callback - Pointer to custom callback function. The prototype for this function must match the associated callback declaration macro. Sets a custom callback handler for a previously initialized session object. Callbacks are triggered by the receipt of special packets at the Transport layer. To disable a callback, set it to NULL.

RETURN VALUE
Pointer to previous callback handler. Returns NULL if no prior callback handler was set.

SEE ALSO
libssh2_session_init_ex(3)